package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformPqAccountRel {
    private Long id;

    private Long accountId;

    private Long pqUid;

    private String pqName;

    private String pqTelNum;

    private Integer status;

    private Long createTimestamp;

    private Long updateTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getPqUid() {
        return pqUid;
    }

    public void setPqUid(Long pqUid) {
        this.pqUid = pqUid;
    }

    public String getPqName() {
        return pqName;
    }

    public void setPqName(String pqName) {
        this.pqName = pqName;
    }

    public String getPqTelNum() {
        return pqTelNum;
    }

    public void setPqTelNum(String pqTelNum) {
        this.pqTelNum = pqTelNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", accountId=").append(accountId);
        sb.append(", pqUid=").append(pqUid);
        sb.append(", pqName=").append(pqName);
        sb.append(", pqTelNum=").append(pqTelNum);
        sb.append(", status=").append(status);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append("]");
        return sb.toString();
    }
}